- name: Offline Backup
  hosts: backups.rmt
  gather_facts: yes
  vars:
    backup_src: /tank/backups/
    backup_dest: /tank/backups/
    backup_latest: /tank/backups-latest/
  tasks:
    - name: Pull Backup Data
      synchronize:
        src: "{{ backup_src }}"
        dest: "{{ backup_dest }}"
        archive: yes
        delete: yes
        link_dest: "{{ backup_latest }}"
        set_remote_user: no
        rsync_opts:
          - "--no-i-r"
      delegate_to: nas.rmt